io.vertx.serviceproxy.sockjs.generator

## Class SockjsServiceProxyTSGenerator

- java.lang.Object
- - io.vertx.codegen.Generator<ProxyModel>
  - - io.vertx.serviceproxy.sockjs.generator.SockjsServiceProxyJSGenerator
    - - io.vertx.serviceproxy.sockjs.generator.SockjsServiceProxyTSGenerator

-     public class SockjsServiceProxyTSGenerator
      extends SockjsServiceProxyJSGenerator

- - ### Field Summary

    - ### Fields inherited from class io.vertx.codegen.Generator

      `env, incremental, kinds, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SockjsServiceProxyTSGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Class<? extends Annotation>>` | `annotations()`
    `String` | `filename(ProxyModel model)`
    `protected void` | `genLicenses(PrintWriter writer)`
    `protected String` | `getJSDocType(io.vertx.codegen.type.TypeInfo type)` Generate the JSDoc type of a type
    `String` | `render(ProxyModel model, int index, int size, Map<String,Object> session)`
    `protected String` | `renderLinkToHtml(io.vertx.codegen.doc.Tag.Link link)` Render a tag link to an html link, this function is used as parameter of the renderDocToHtml function when it needs to render tag links.

    - ### Methods inherited from class io.vertx.codegen.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SockjsServiceProxyTSGenerator

          public SockjsServiceProxyTSGenerator()

  - ### Method Detail

    - #### filename

          public String filename(ProxyModel model)

      Overrides:
        `filename` in class `SockjsServiceProxyJSGenerator`

    - #### render

          public String render(ProxyModel model,
                               int index,
                               int size,
                               Map<String,Object> session)

      Overrides:
        `render` in class `SockjsServiceProxyJSGenerator`

    - #### annotations

          public Collection<Class<? extends Annotation>> annotations()

      Overrides:
        `annotations` in class `io.vertx.codegen.Generator<ProxyModel>`

    - #### genLicenses

          protected void genLicenses(PrintWriter writer)

    - #### renderLinkToHtml

          protected String renderLinkToHtml(io.vertx.codegen.doc.Tag.Link link)

      Render a tag link to an html link, this function is used as parameter of the renderDocToHtml function when it needs to render tag links.

    - #### getJSDocType

          protected String getJSDocType(io.vertx.codegen.type.TypeInfo type)

      Generate the JSDoc type of a type

Copyright © 2024 Eclipse. All rights reserved.